/* This file is part of xdir, an X-based directory browser.
 * It contains functions for the "Configure" menu.
 *
 *	Created: 10/8/88
 *
 *	Win Treese
 *	Cambridge Research Lab
 *	Digital Equipment Corporation
 *	treese@crl.dec.com
 *
 *	$Source: /trx/u2/treese/Src/Xdir.rel/RCS/configure.c,v $
 *
 *                          COPYRIGHT 1990
 *                    DIGITAL EQUIPMENT CORPORATION
 *                       MAYNARD, MASSACHUSETTS
 *                        ALL RIGHTS RESERVED.
 *
 * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
 * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
 * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE
 * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED
 * WARRANTY.
 *
 * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
 * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
 * ADDITION TO THAT SET FORTH ABOVE.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Digital Equipment Corporation not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 */

#if !defined(lint) && !defined(SABER)
static char rcsid_configure_c[] = "$Header: /trx/u2/treese/Src/Xdir.rel/RCS/configure.c,v 3.0 90/03/31 01:35:17 treese Exp $";
#endif

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SimpleMenu.h>

#include "xdir.h"

/*ARGSUSED*/
static void
DotFiles(w, client_data, ret_val)
Widget w;
caddr_t client_data;
caddr_t ret_val;
{
	Arg args[10];
	Cardinal arg_cnt;
	char *label;

	if (resources.ShowDotFiles) {
		resources.ShowDotFiles = False;
		label = resources.ShowDotFilesMsg;
	}
	else {
		resources.ShowDotFiles = True;
		label = resources.HideDotFilesMsg;
	}

	DoChangeDir(NULL);

	arg_cnt = 0;
	XtSetArg(args[arg_cnt], XtNlabel, label); arg_cnt++;
	XtSetValues(w, args, arg_cnt);
}

/*ARGSUSED*/
static void
BackupFiles(w, client_data, ret_val)
Widget w;
caddr_t client_data;
caddr_t ret_val;
{
	Arg args[10];
	Cardinal arg_cnt;
	char *label;

	if (resources.ShowBackupFiles) {
		resources.ShowBackupFiles = False;
		label = resources.ShowBackupFilesMsg;
	}
	else {
		resources.ShowBackupFiles = True;
		label = resources.HideBackupFilesMsg;
	}

	DoChangeDir(NULL);

	arg_cnt = 0;
	XtSetArg(args[arg_cnt], XtNlabel, label); arg_cnt++;
	XtSetValues(w, args, arg_cnt);
}

/* Function:	InitConfigureMenu() initializes the "Configure" menu.
 * Arguments:	parent:	Parent widget to use.
 * Returns:	Nothing.
 * Notes:
 */

void
InitConfigureMenu(parent)
Widget parent;
{
	Cardinal arg_cnt;
	Arg args[10];
	Widget menu, dotfiles, backupfiles;

	(void) XtCreateManagedWidget("config", menuButtonWidgetClass, parent,
					NULL, (Cardinal) 0);

	menu = XtCreatePopupShell("configMenu", simpleMenuWidgetClass,
				  TopWidget, NULL, (Cardinal) 0);

	dotfiles = AddMenuEntry(menu, "dotfiles", DotFiles);
	backupfiles = AddMenuEntry(menu, "backupfiles", BackupFiles);

	arg_cnt = 0;
	XtSetArg(args[arg_cnt], XtNlabel,
		 ( resources.ShowDotFiles ? resources.HideDotFilesMsg
		  : resources.ShowDotFilesMsg));
	arg_cnt++;
	XtSetValues(dotfiles, args, arg_cnt);

	arg_cnt = 0;
	XtSetArg(args[arg_cnt], XtNlabel,
		 ( resources.ShowBackupFiles ? resources.HideBackupFilesMsg
		  : resources.ShowBackupFilesMsg));
	arg_cnt++;
	XtSetValues(backupfiles, args, arg_cnt);
}

