/* This file is part of xdir, an X-based directory browser.
 * It contains functions for handling the menus.
 *
 *	Created: 8/13/88
 *
 *	Win Treese
 *	Cambridge Research Lab
 *	Digital Equipment Corporation
 *	treese@crl.dec.com
 *
 *	$Source: /trx/u2/treese/Src/Xdir.rel/RCS/menus.c,v $
 *
 *          COPYRIGHT 1990
 *        DIGITAL EQUIPMENT CORPORATION
 *         MAYNARD, MASSACHUSETTS
 *        ALL RIGHTS RESERVED.
 *
 * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
 * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
 * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE
 * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED
 * WARRANTY.
 *
 * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
 * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
 * ADDITION TO THAT SET FORTH ABOVE.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Digital Equipment Corporation not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 */

#if !defined(lint) && !defined(SABER)
static char rcsid_menus_c[] = "$Header: /trx/u2/treese/Src/Xdir.rel/RCS/menus.c,v 3.0 90/03/31 01:35:24 treese Exp $";
#endif

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Cardinals.h>
#include <X11/Xaw/SmeBSB.h>

#include "xdir.h"

/* Function:	InitMenus() initializes the menus.
 * Arguments:	parent:	Parent widget to use.
 * Returns:	Nothing.
 * Notes:
 */

void
InitMenus(parent)
Widget parent;
{
	Widget box;
	Arg args[10];
	Cardinal arg_cnt;

	arg_cnt = 0;
	box = XtCreateManagedWidget("box", boxWidgetClass, parent,
					args, arg_cnt);

	InitFileMenu(box);
	InitConfigureMenu(box);
/*	InitCommandsMenu(box); */
	InitHelp(box);
}

/* Function:	AddMenuEntry adds an entry to a menu.
 * Arguments:	menu:	Menu to be added to.
 *		name:	Name of the menu entry.
 *		callback: The callback routine for this entry.
 * Returns:	The newly-created menu entry widget.
 * Notes:
 *	This is just a convenience wrapper for the Xaw menu functions.
 *	It does not handle adding resources other than callbacks.
 */

Widget
AddMenuEntry(menu, name, callback)
Widget menu;
String name;
XtCallbackProc callback;
{
	Widget entry;

	entry = XtCreateManagedWidget(name, smeBSBObjectClass, menu,
				      NULL, ZERO);
	XtAddCallback(entry, XtNcallback, callback, NULL);
	return(entry);
}
