/* This file is part of xdir, an X-based directory browser.
 * It contains functions for dealing with xdir's resources.
 *
 *	Created: 9/5/88
 *
 *	Win Treese
 *	Cambridge Research Lab
 *	Digital Equipment Corporation
 *	treese@crl.dec.com
 *
 *	$Source: /trx/u2/treese/Src/Xdir.rel/RCS/resources.c,v $
 *
 *          COPYRIGHT 1990
 *        DIGITAL EQUIPMENT CORPORATION
 *         MAYNARD, MASSACHUSETTS
 *        ALL RIGHTS RESERVED.
 *
 * THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT NOTICE AND
 * SHOULD NOT BE CONSTRUED AS A COMMITMENT BY DIGITAL EQUIPMENT CORPORATION.
 * DIGITAL MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE
 * FOR ANY PURPOSE.  IT IS SUPPLIED "AS IS" WITHOUT EXPRESS OR IMPLIED
 * WARRANTY.
 *
 * IF THE SOFTWARE IS MODIFIED IN A MANNER CREATING DERIVATIVE COPYRIGHT
 * RIGHTS, APPROPRIATE LEGENDS MAY BE PLACED ON THE DERIVATIVE WORK IN
 * ADDITION TO THAT SET FORTH ABOVE.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Digital Equipment Corporation not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 */

#if !defined(lint) && !defined(SABER)
static char rcsid_resources_c[] = "$Header: /trx/u2/treese/Src/Xdir.rel/RCS/resources.c,v 3.0 90/03/31 01:35:25 treese Exp $";
#endif

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "xdir.h"

/* Resource table. */

#define Offset(field)	(XtOffset(XdirResources *, field))

static XtResource resourceList[] = {
  {"libDir", XtCFile, XtRString, sizeof(char *),
	Offset(LibDir), XtRString, LIBDIR},
  {"helpFile", XtCFile, XtRString, sizeof(char *),
	Offset(HelpFile), XtRString, HELPFILE},
  {"viewHelpFile", XtCFile, XtRString, sizeof(char *),
	Offset(ViewHelpFile), XtRString, VIEWHELP},
  {"aboutFile", XtCFile, XtRString, sizeof(char *),
	Offset(AboutFile), XtRString, ABOUTFILE},
  {"showDotFiles", XtCBoolean, XtRBoolean, sizeof(Boolean),
	Offset(ShowDotFiles), XtRString, "True"},
  {"showBackupFiles", XtCBoolean, XtRBoolean, sizeof(Boolean),
	Offset(ShowBackupFiles), XtRString, "True"},
  {"showDotFilesMsg", XtCString, XtRString, sizeof(char *),
	Offset(ShowDotFilesMsg), XtRString, "Show Dot Files"},
  {"hideDotFilesMsg", XtCString, XtRString, sizeof(char *),
	Offset(HideDotFilesMsg), XtRString, "Hide Dot Files"},
  {"showBackupFilesMsg", XtCString, XtRString, sizeof(char *),
	Offset(ShowBackupFilesMsg), XtRString, "Show Backup Files"},
  {"hideBackupFilesMsg", XtCString, XtRString, sizeof(char *),
	Offset(HideBackupFilesMsg), XtRString, "Hide Backup Files"},
};

/* Function:	InitResources() initializes the resource database.
 * Arguments:	w:	Widget to use.
 * Returns:	Nothing.
 * Notes:
 */

void
InitResources(w)
Widget w;
{
	XtGetApplicationResources(w, (XtPointer) &resources,
				  resourceList, XtNumber(resourceList),
				  NULL, (Cardinal) 0);
}
