/* This file is part of xdir, an X-based directory browser.
 * It contains general xdir definitions.
 *
 *	Created: 8/13/88
 *
 *	Win Treese
 *	Cambridge Research Lab
 *	Digital Equipment Corporation
 *	treese@crl.dec.com
 *
 *	$Source: /trx/u2/treese/Src/Xdir/RCS/xdir.h,v $
 *	$Athena: xdir.h,v 1.1 88/09/16 01:30:33 treese Locked $
 */

/* Configuration definitions. */

#ifndef LIBDIR
#define LIBDIR		"/usr/local/lib/X11/xdir"
#endif

#define HELPFILE	"xdir.help"
#define VIEWHELP	"view.help"
#define ABOUTFILE	"about-xdir"

/* Type definitions. */

/* Global resource structure.  This is filled in by the resource mangler. */

typedef struct tXdirResources {
	char *LibDir;
	char *HelpFile;
	char *ViewHelpFile;
	char *AboutFile;
	Boolean ShowDotFiles;
	Boolean ShowBackupFiles;
	char *ShowDotFilesMsg;
	char *HideDotFilesMsg;
	char *ShowBackupFilesMsg;
	char *HideBackupFilesMsg;
} XdirResources;

#ifndef MAIN	/* External variables. */

extern char CurrentSelectionName[];
extern int CurrentSelectionIndex;
extern char CurrentDirectory[];
extern Widget MyListWidget;
extern Widget DirLabel;
extern Widget TopWidget;
extern Widget MyViewport;
extern XdirResources resources;
extern XtAppContext XdirContext;

#endif /* MAIN */


/* From the C library. */

extern int errno;
extern char *sys_errlist[];

/* Useful constants. */

#define EOS	'\0'			/* End-of-string. */
#define TWIDDLE	'~'		        /* Emacs backup file suffix. */

#define MAXSTRLEN	256		/* Maximum length of a string. */

#define NOEDIT	0			/* File is read-only. */
#define	EDIT	1			/* File can be edited. */

/* Useful macros. */

#define	streq(a, b)	(! strcmp((a), (b)))

/* Type definitions. */

typedef void (*VoidProc)();

/* Xdir function declarations. */

char **MakeFileList();
void Error(), PrintFileList(), ErrAbort();
char *SaveString();
void InitCommands(), InitTextDisplay(), InitErrorHandlers(),
  DisplayFile(), DoChangeDir(), InitErrorMessages();
void MakeFullPath();
Boolean IsDirectory();
void SetDirIconName();
int GetWidgetWidth(), GetWidgetHeight();
int GetWidgetXLoc(), GetWidgetYLoc();
void InitActions();
void ShowHelp();
void SetTextFile();
void InitResources();
void InitMenus(),
	InitActionsMenu(),
	InitConfigureMenu(),
	InitCommandsMenu(),
	InitButtonActions(),
	InitHelp();
Widget AddMenuEntry();
void SaveDialog();

/* C library function declarations. */

char *malloc(), *calloc(), *realloc();

