.TH XDIR 1 local
.SH NAME
xdir \- X Directory Browser
.SH SYNOPSIS
.B xdir
[-toolkitoption ...]
.SH DESCRIPTION
.I Xdir
is a simple directory browser for perusing the UNIX file system.  It provides
an easy way to look at files and directories in the system.
.PP
When
.I Xdir
starts, it displays a listing of the files in the current directory.
The user can select a file by pointing at it with the mouse and clicking
the left mouse button.  Once selected, a file may be viewed (in a separate
window) by selecting the
.B View File
item from the
.B File
menu.  If the file is a directory, its contents may be listed (in the same
window) by selecting the
.B Change Directory
item from the
.B File
menu.  Alternatively, a file or directory may be browsed by clicking twice
on its name in the current directory.
.PP
Help is available by clicking on the
.B Help
button in the top row of the
.I Xdir
display.
.SH "FILE MENU"
The
.B File
menu contains the following items:
.TP 1.5i
.B View File
View the selected file.
.TP 1.5i
.B Change Directory
Changes to the selected directory.
.TP 1.5i
.B Parent Directory
Changes to the parent directory.  Alternatively, the right mouse button
can be used as a short-cut for this.
.TP 1.5i
.B About Xdir
Displays a brief message about the program.
.TP 1.5i
.B Quit
Exits
.I Xdir.
.SH "OPTIONS MENU"
The options menu allows the user to customize parts of
.I Xdir's
display.  There are two options available:
.TP 1.5i
.B Hide/Show Dot Files
Hide or show files beginning with a dot ('.').  The default is selectable
by a resource (see below).
.TP 1.5i
.B Hide/Show Backup Files
Hide or show files ending with a tilde ('~').  The default is selectable
by a resource (see below).
.PP
.SH "COMMAND LINE OPTIONS"
.PP
.I Xdir
supports all standard X Toolkit command line arguments (see
\fIX(1)\fP). No additional arguments are supported.
.PP
.SH WIDGETS
In order to specify resources, it is useful to know the hierarchy of
the widgets which compose \fIXdir\fR.  In the notation below,
indentation indicates hierarchical structure.  The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.ta .5i 1.0i 1.5i 2.0i 2.5i 3.0i 3.5i
Xdir xdir	\fI(This widget is never used)\fP
	Paned  pane
		Label dirname
		Box box
			SimpleMenu fileMenu
				SmeBSB view
				SmeBSB chdir
				SmeBSB parentdir
				SmeBSB about
				SmeBSB update
				SmeBSB quit
			SimpleMenu configMenu
				SmeBSB dotfiles
				SmeBSB backupfiles
		Viewport vport
			List list
	TopLevelShell TextShell
		Paned text-pane
			Label textname
			Text ViewText
			Box text-box
				Command close
				Command help
	TopLevelShell HelpShell
		Paned pane
			Label helplabel
			Text text
			Box box
				Command close
	TransientShell ErrorShell
		Dialog ErrorDialog
			Command close			
.fi
.SH "APPLICATION RESOURCES"
\fIxdir\fP has the following application-specific resources which allow
customizations unique to \fIxdir\fP.
.PP
.TP 18
\fBlibDir\fP (Class \fBFile\fP)
Directory used to hold auxiliary files (normally \fI/usr/lib/X11/xdir\fP).
.TP 18
\fBhelpFile\fP (Class \fBFile\fP)
Name of file containing help information (relative to \fBlibDir\fP).
.TP 18
\fBviewhelpFile\fP (Class \fBFile\fP)
Name of file containing help information for viewing window (relative
to \fBlibDir\fP).
\fBaboutFile\fP (Class \fBFile\fP)
Name of file describing \fIxdir\fP (relative to \fBlibDir\fP).
.TP 18
\fBshowDotFilesMsg\fP (Class \fBString\fP)
Menu label used to indicate option to show dot files.
.TP 18
\fBhideDotFilesMsg\fP (Class \fBString\fP)
Menu label used to indicate option to hide dot files.
.TP 18
\fBshowBackupFilesMsg\fP (Class \fBString\fP)
Menu label used to indicate option to show backup files (i.e., those
ending in '~').
.TP 18
\fBhideBackupFilesMsg\fP (Class \fBString\fP)
Menu label used to indicate option to hide backup files.
.TP 18
\fBshowDotFiles\fP (Class \fBBoolean\fP)
Whether or not to show dot files initially.
.TP 18
\fBshowBackupFiles\fP (Class \fBBoolean\fP)
Whether or not to show backup files initially.
.PP
.SH FILES
.IP /usr/lib/X11/app-defaults/Xdir
specifies required resources.
.IP /usr/lib/X11/xdir
contains various auxiliary files, including the help files.  The location
may vary from site to site; it may be changed using a resource (see above).
.PP
.SH "SEE ALSO"
X(1), ls(1)
.PP
.SH ENVIRONMENT
.TP 1.5i
.B DISPLAY 
the default host and display to use.
.TP 1.5i
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.TP 1.5i
.B XAPPLRESDIR
A string that will have "Xdir" appended to it.  This string will be
the full path name of a user application defaults file to be merged into the
resource database after the system application defaults file, and before
the resources that are attached to the display.
.PP
.SH BUGS
Probably.  In particular,
.I Xdir
does not gracefully handle not having its resource file available.
.SH COPYRIGHT
Copyright 1990 by Digital Equipment Corp.
.br
See \fIX(1)\fP for a full statement of rights and permissions.
.SH AUTHOR
Win Treese, Cambridge Research Lab, Digital Equipment Corp.
.SH QUESTIONS, COMMENTS, AND COMPLAINTS
treese@crl.dec.com

